diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 16ac36c9f5..02f1d150e7 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -27,6 +27,7 @@
 ;;; Copyright © 2022 Aleksandr Vityazev <avityazev@posteo.org>
 ;;; Copyright © 2022 Marius Bakke <marius@gnu.org>
 ;;; Copyright © 2022 Evgenii Lepikhin <e.lepikhin@corp.mail.ru>
+;;; Copyright © 2022 Kiran Shila <me@kiranshila.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -11192,7 +11193,7 @@ (define-public rust-clang-sys-0.11
 (define-public rust-clap-derive-3
   (package
     (name "rust-clap-derive")
-    (version "3.0.0-beta.2")
+    (version "3.2.7")
     (source
      (origin
        (method url-fetch)
@@ -11201,12 +11202,12 @@ (define-public rust-clap-derive-3
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "18cn82jhcha7m0nkpi1a03jx8k7aaq5kxfcxnsqpaa8ih5dp23rp"))))
+         "00prk3kkk4fi5aavlpa10d9akrx3cjkfcndrhmxzl6kf6y3z36vm"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
-       (("rust-heck" ,rust-heck-0.3)
+       (("rust-heck" ,rust-heck-0.4)
         ("rust-proc-macro-error"
          ,rust-proc-macro-error-1)
         ("rust-proc-macro2" ,rust-proc-macro2-1)
@@ -11220,10 +11221,30 @@ (define-public rust-clap-derive-3
 derive crate.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-clap-lex-0.2
+  (package
+    (name "rust-clap-lex")
+    (version "0.2.4")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "clap_lex" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1ib1a9v55ybnaws11l63az0jgz5xiy24jkdgsmyl7grcm3sz4l18"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-os-str-bytes" ,rust-os-str-bytes-6))))
+    (home-page "https://github.com/clap-rs/clap/tree/master/clap_lex")
+    (synopsis "Minimal, flexible command line parser")
+    (description "Minimal, flexible command line parser")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-clap-3
   (package
     (name "rust-clap")
-    (version "3.0.0-beta.2")
+    (version "3.2.12")
     (source
      (origin
        (method url-fetch)
@@ -11232,27 +11253,34 @@ (define-public rust-clap-3
         (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "0hm1kivw6190rxbfqhdr4hqwlrijvwh90i3d9dyyw0d5k0chdlab"))))
+         "0kb1ak48fqwv3i668qzkkxzd5f4ji40v9060n6hb9kj677z7k2xb"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs
+     `(#:tests? #false                  ;doc test fails
+       #:cargo-inputs
        (("rust-atty" ,rust-atty-0.2)
+        ("rust-backtrace" ,rust-backtrace-0.3)
         ("rust-bitflags" ,rust-bitflags-1)
         ("rust-clap-derive" ,rust-clap-derive-3)
+        ("rust-clap-lex" ,rust-clap-lex-0.2)
         ("rust-indexmap" ,rust-indexmap-1)
-        ("rust-os-str-bytes" ,rust-os-str-bytes-2)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-regex" ,rust-regex-1)
         ("rust-strsim" ,rust-strsim-0.10)
         ("rust-termcolor" ,rust-termcolor-1)
         ("rust-terminal-size" ,rust-terminal-size-0.1)
-        ("rust-textwrap" ,rust-textwrap-0.12)
-        ("rust-unicode-width" ,rust-unicode-width-0.1)
-        ("rust-vec-map" ,rust-vec-map-0.8)
+        ("rust-textwrap" ,rust-textwrap-0.15)
+        ("rust-unicase" ,rust-unicase-2)
         ("rust-yaml-rust" ,rust-yaml-rust-0.4))
        #:cargo-development-inputs
-       (("rust-criterion" ,rust-criterion-0.3)
-        ("rust-lazy-static" ,rust-lazy-static-1)
+       (("rust-humantime" ,rust-humantime-2)
         ("rust-regex" ,rust-regex-1)
-        ("rust-version-sync" ,rust-version-sync-0.8))))
+        ("rust-rustversion" ,rust-rustversion-1)
+        ("rust-shlex" ,rust-shlex-1)
+        ("rust-snapbox" ,rust-snapbox-0.2)
+        ("rust-static-assertions" ,rust-static-assertions-1)
+        ("rust-trybuild" ,rust-trybuild-1)
+        ("rust-trycmd" ,rust-trycmd-0.13))))
     (home-page "https://clap.rs/")
     (synopsis "Command Line Argument Parser")
     (description
@@ -39251,7 +39279,7 @@ (define-public rust-onig-sys-69.2
 (define-public rust-once-cell-1
   (package
     (name "rust-once-cell")
-    (version "1.9.0")
+    (version "1.13.0")
     (source
      (origin
        (method url-fetch)
@@ -39259,14 +39287,14 @@ (define-public rust-once-cell-1
        (file-name
         (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1mfqhrsgi368x92bwnq3vi3p5nv0n1qlrn69gfflhvkfkxfm2cns"))))
+        (base32 "1qfqvgnwfzzwxd13ybvplzshaqwnjnna9ghcn0zgijaq0zixp9hq"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-atomic-polyfill" ,rust-atomic-polyfill-0.1)
-        ("rust-parking-lot" ,rust-parking-lot-0.11))
+        ("rust-parking-lot-core" ,rust-parking-lot-core-0.9))
        #:cargo-development-inputs
-       (("rust-crossbeam-utils" ,rust-crossbeam-utils-0.7)
+       (("rust-crossbeam-utils" ,rust-crossbeam-utils-0.8)
         ("rust-lazy-static" ,rust-lazy-static-1)
         ("rust-regex" ,rust-regex-1))))
     (home-page "https://github.com/matklad/once_cell")
@@ -40744,8 +40772,38 @@ (define-public rust-parking-lot-0.7
         ("rust-rand" ,rust-rand-0.4)
         ("rust-rustc-version" ,rust-rustc-version-0.2))))))
 
+(define-public rust-parking-lot-core-0.9
+  (package
+    (name "rust-parking-lot-core")
+    (version "0.9.3")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "parking-lot-core" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "0ab95rljb99rm51wcic16jgbajcr6lgbqkrr21w7bc2wyb5pk8h9"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-backtrace" ,rust-backtrace-0.3)
+        ("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-petgraph" ,rust-petgraph-0.6)
+        ("rust-redox-syscall" ,rust-redox-syscall-0.2)
+        ("rust-smallvec" ,rust-smallvec-1)
+        ("rust-thread-id" ,rust-thread-id-4)
+        ("rust-windows-sys" ,rust-windows-sys-0.36))))
+    (home-page "https://github.com/Amanieu/parking_lot")
+    (synopsis
+     "An advanced API for creating custom synchronization primitives.")
+    (description
+     "An advanced API for creating custom synchronization primitives.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-parking-lot-core-0.8
   (package
+    (inherit rust-parking-lot-core-0.9)
     (name "rust-parking-lot-core")
     (version "0.8.4")
     (source
@@ -40774,12 +40832,7 @@ (define-public rust-parking-lot-core-0.8
         ("rust-redox-syscall" ,rust-redox-syscall-0.2)
         ("rust-smallvec" ,rust-smallvec-1)
         ("rust-thread-id" ,rust-thread-id-4)
-        ("rust-winapi" ,rust-winapi-0.3))))
-    (home-page "https://github.com/Amanieu/parking_lot")
-    (synopsis "API for creating custom synchronization primitives")
-    (description "This package provides an advanced API for creating custom
-synchronization primitives.")
-    (license (list license:asl2.0 license:expat))))
+        ("rust-winapi" ,rust-winapi-0.3))))))
 
 (define-public rust-parking-lot-core-0.7
   (package
@@ -62512,8 +62565,39 @@ (define-public rust-text-size-1
     (description "This package provides a newtypes for text offsets")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-textwrap-0.15
+  (package
+    (name "rust-textwrap")
+    (version "0.15.0")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "textwrap" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1yw513k61lfiwgqrfvsjw1a5wpvm0azhpjr2kr0jhnq9c56is55i"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-hyphenation" ,rust-hyphenation-0.8)
+                       ("rust-smawk" ,rust-smawk-0.3)
+                       ("rust-terminal-size" ,rust-terminal-size-0.1)
+                       ("rust-unicode-linebreak" ,rust-unicode-linebreak-0.1)
+                       ("rust-unicode-width" ,rust-unicode-width-0.1))
+       #:cargo-development-inputs (("rust-criterion" ,rust-criterion-0.3)
+                                   ("rust-lipsum" ,rust-lipsum-0.8)
+                                   ("rust-termion" ,rust-termion-1)
+                                   ("rust-unic-emoji-char" ,rust-unic-emoji-char-0.9)
+                                   ("rust-version-sync" ,rust-version-sync-0.9))))
+    (home-page "https://github.com/mgeisler/textwrap")
+    (synopsis
+     "Powerful library for word wrapping, indenting, and dedenting strings")
+    (description
+     "Powerful library for word wrapping, indenting, and dedenting strings")
+    (license license:expat)))
+
 (define-public rust-textwrap-0.12
   (package
+    (inherit rust-textwrap-0.15)
     (name "rust-textwrap")
     (version "0.12.1")
     (source
@@ -62531,16 +62615,7 @@ (define-public rust-textwrap-0.12
        #:cargo-inputs
        (("rust-hyphenation" ,rust-hyphenation-0.8)
         ("rust-terminal-size" ,rust-terminal-size-0.1)
-        ("rust-unicode-width" ,rust-unicode-width-0.1))))
-    (home-page
-     "https://github.com/mgeisler/textwrap")
-    (synopsis "Library for word wrapping, indenting, and dedenting strings")
-    (description
-     "Textwrap is a small library for word wrapping, indenting, and dedenting
-strings.  You can use it to format strings (such as help and error messages)
-for display in commandline applications.  It is designed to be efficient and
-handle Unicode characters correctly.")
-    (license license:expat)))
+        ("rust-unicode-width" ,rust-unicode-width-0.1))))))
 
 (define-public rust-textwrap-0.11
   (package
@@ -67908,6 +67983,29 @@ (define-public rust-unic-common-0.9
 Internationalization Crates (UNIC) project.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-unic-emoji-char-0.9
+  (package
+    (name "rust-unic-emoji-char")
+    (version "0.9.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "unic-emoji-char" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ka9fr7s6lv0z43r9xphg9injn35pfxf9g9q18ki0wl9d0g241qb"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-unic-char-property" ,rust-unic-char-property-0.9)
+                       ("rust-unic-char-range" ,rust-unic-char-range-0.9)
+                       ("rust-unic-ucd-version" ,rust-unic-ucd-version-0.9))))
+    (home-page "https://github.com/open-i18n/rust-unic/")
+    (synopsis "UNIC Unicode Emoji Emoji Character Properties")
+    (description "UNIC Unicode Emoji Emoji Character Properties")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-unic-segment-0.9
   (package
     (name "rust-unic-segment")
@@ -72535,8 +72633,41 @@ (define-public rust-windows-0.9
     (description "Rust for Windows")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-x86-64-msvc-0.38
+  (package
+    (name "rust-windows-x86-64-msvc")
+    (version "0.38.0")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "windows-x86-64-msvc" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "0q85fck774sx33x74vczsxnxqr9ndqclfpvhiyrzyhfl85ikq349"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "Code gen support for the windows crate")
+    (description "This package provides code gen support for the windows
+crate.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-windows-x86-64-msvc-0.36
+  (package
+    (inherit rust-windows-x86-64-msvc-0.38)
+    (name "rust-windows-x86-64-msvc")
+    (version "0.36.1")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "windows-x86-64-msvc" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "103n3xijm5vr7qxr1dps202ckfnv7njjnnfqmchg8gl5ii5cl4f8"))))))
+
 (define-public rust-windows-x86-64-msvc-0.28
   (package
+    (inherit rust-windows-x86-64-msvc-0.36)
     (name "rust-windows-x86-64-msvc")
     (version "0.28.0")
     (source
@@ -72545,7 +72676,19 @@ (define-public rust-windows-x86-64-msvc-0.28
        (uri (crate-uri "windows_x86_64_msvc" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "17z8q25pd3dp6b84qm9nlayd3ym78sbryxlqmgcxvz9vpmy8qarz"))))
+        (base32 "17z8q25pd3dp6b84qm9nlayd3ym78sbryxlqmgcxvz9vpmy8qarz"))))))
+
+(define-public rust-windows-x86-64-gnu-0.38
+  (package
+    (name "rust-windows-x86-64-gnu")
+    (version "0.38.0")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "windows-x86-64-gnu" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1wd9gq5r8vfak2dfsn0f2ylbghz7sy81k36b69ps70435hk5hn4h"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://github.com/microsoft/windows-rs")
@@ -72554,8 +72697,22 @@ (define-public rust-windows-x86-64-msvc-0.28
 crate.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-x86-64-gnu-0.36
+  (package
+    (inherit rust-windows-x86-64-gnu-0.38)
+    (name "rust-windows-x86-64-gnu")
+    (version "0.36.1")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "windows-x86-64-gnu" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1qfrck3jnihymfrd01s8260d4snql8ks2p8yaabipi3nhwdigkad"))))))
+
 (define-public rust-windows-x86-64-gnu-0.28
   (package
+    (inherit rust-windows-x86-64-gnu-0.36)
     (name "rust-windows-x86-64-gnu")
     (version "0.28.0")
     (source
@@ -72564,7 +72721,19 @@ (define-public rust-windows-x86-64-gnu-0.28
        (uri (crate-uri "windows_x86_64_gnu" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0m79bhdr54g4h4wh2q8wkjlkypb5wvl7xzhc2csiaqb5yl4z8cdw"))))
+        (base32 "0m79bhdr54g4h4wh2q8wkjlkypb5wvl7xzhc2csiaqb5yl4z8cdw"))))))
+
+(define-public rust-windows-i686-msvc-0.38
+  (package
+    (name "rust-windows-i686-msvc")
+    (version "0.38.0")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "windows-i686-msvc" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1zx3n06k71bnspms6ibmpiy10zgszi0shsral6v3m1pjw2dmdw6d"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://github.com/microsoft/windows-rs")
@@ -72573,8 +72742,22 @@ (define-public rust-windows-x86-64-gnu-0.28
 crate.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-i686-msvc-0.36
+  (package
+    (inherit rust-windows-i686-msvc-0.38)
+    (name "rust-windows-i686-msvc")
+    (version "0.36.1")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "windows-i686-msvc" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "097h2a7wig04wbmpi3rz1akdy4s8gslj5szsx8g2v0dj91qr3rz2"))))))
+
 (define-public rust-windows-i686-msvc-0.28
   (package
+    (inherit rust-windows-i686-msvc-0.36)
     (name "rust-windows-i686-msvc")
     (version "0.28.0")
     (source
@@ -72583,7 +72766,19 @@ (define-public rust-windows-i686-msvc-0.28
        (uri (crate-uri "windows_i686_msvc" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0r0z8s1wcdwd20azsdfilf2a6bz68xkavl990wy64hyc8f51bmai"))))
+        (base32 "0r0z8s1wcdwd20azsdfilf2a6bz68xkavl990wy64hyc8f51bmai"))))))
+
+(define-public rust-windows-i686-gnu-0.38
+  (package
+    (name "rust-windows-i686-gnu")
+    (version "0.38.0")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "windows-i686-gnu" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "059wsjax5gd9prjsmla8pq7xq5h3ixm8jhqgbrf9c8rc6zdz562c"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://github.com/microsoft/windows-rs")
@@ -72592,8 +72787,22 @@ (define-public rust-windows-i686-msvc-0.28
 crate.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-i686-gnu-0.36
+  (package
+    (inherit rust-windows-i686-gnu-0.38)
+    (name "rust-windows-i686-gnu")
+    (version "0.36.1")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "windows-i686-gnu" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1dm3svxfzamrv6kklyda9c3qylgwn5nwdps6p0kc9x6s077nq3hq"))))))
+
 (define-public rust-windows-i686-gnu-0.28
   (package
+    (inherit rust-windows-i686-gnu-0.36)
     (name "rust-windows-i686-gnu")
     (version "0.28.0")
     (source
@@ -72602,7 +72811,19 @@ (define-public rust-windows-i686-gnu-0.28
        (uri (crate-uri "windows_i686_gnu" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "12hx7qpsjg9p7jggfcplqa3mf1mzr7k7s5ybzqwg1zmg4fn2aizm"))))
+        (base32 "12hx7qpsjg9p7jggfcplqa3mf1mzr7k7s5ybzqwg1zmg4fn2aizm"))))))
+
+(define-public rust-windows-aarch64-msvc-0.38
+  (package
+    (name "rust-windows-aarch64-msvc")
+    (version "0.38.0")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "windows-aarch64-msvc" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1kf3rz5mrssw1p1f4r1skzbqaiv9nd146zjg7zzjy6gvwa3xsami"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://github.com/microsoft/windows-rs")
@@ -72611,8 +72832,22 @@ (define-public rust-windows-i686-gnu-0.28
 crate.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-aarch64-msvc-0.36
+  (package
+    (inherit rust-windows-aarch64-msvc-0.38)
+    (name "rust-windows-aarch64-msvc")
+    (version "0.36.1")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "windows-aarch64-msvc" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "0ixaxs2c37ll2smprzh0xq5p238zn8ylzb3lk1zddqmd77yw7f4v"))))))
+
 (define-public rust-windows-aarch64-msvc-0.28
   (package
+    (inherit rust-windows-aarch64-msvc-0.36)
     (name "rust-windows-aarch64-msvc")
     (version "0.28.0")
     (source
@@ -72621,17 +72856,39 @@ (define-public rust-windows-aarch64-msvc-0.28
        (uri (crate-uri "windows_aarch64_msvc" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1hpk0n2z0jzzvwlvs98b75sa4q920953nqfc119rv19nwm0mlsaj"))))
+        (base32 "1hpk0n2z0jzzvwlvs98b75sa4q920953nqfc119rv19nwm0mlsaj"))))))
+
+(define-public rust-windows-sys-0.36
+  (package
+    (name "rust-windows-sys")
+    (version "0.36.1")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "windows-sys" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1lmqangv0zg1l46xiq7rfnqwsx8f8m52mqbgg2mrx7x52rd1a17a"))))
     (build-system cargo-build-system)
-    (arguments `(#:skip-build? #t))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-windows-aarch64-msvc" ,rust-windows-aarch64-msvc-0.36)
+        ("rust-windows-i686-gnu" ,rust-windows-i686-gnu-0.36)
+        ("rust-windows-i686-msvc" ,rust-windows-i686-msvc-0.36)
+        ("rust-windows-x86-64-gnu" ,rust-windows-x86-64-gnu-0.36)
+        ("rust-windows-x86-64-msvc" ,rust-windows-x86-64-msvc-0.36))))
     (home-page "https://github.com/microsoft/windows-rs")
-    (synopsis "Code gen support for the windows crate")
-    (description "This package provides code gen support for the windows
-crate.")
+    (synopsis "Rust for Windows")
+    (description "The windows crate lets you call any Windows API past,
+present, and future using code generated on the fly directly from the metadata
+describing the API and right into your Rust package where you can call them as
+if they were just another Rust module.")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-windows-sys-0.28
   (package
+    (inherit rust-windows-sys-0.36)
     (name "rust-windows-sys")
     (version "0.28.0")
     (source
@@ -72649,14 +72906,7 @@ (define-public rust-windows-sys-0.28
         ("rust-windows-i686-gnu" ,rust-windows-i686-gnu-0.28)
         ("rust-windows-i686-msvc" ,rust-windows-i686-msvc-0.28)
         ("rust-windows-x86-64-gnu" ,rust-windows-x86-64-gnu-0.28)
-        ("rust-windows-x86-64-msvc" ,rust-windows-x86-64-msvc-0.28))))
-    (home-page "https://github.com/microsoft/windows-rs")
-    (synopsis "Rust for Windows")
-    (description "The windows crate lets you call any Windows API past,
-present, and future using code generated on the fly directly from the metadata
-describing the API and right into your Rust package where you can call them as
-if they were just another Rust module.")
-    (license (list license:expat license:asl2.0))))
+        ("rust-windows-x86-64-msvc" ,rust-windows-x86-64-msvc-0.28))))))
 
 (define-public rust-windows-gen-0.9
   (package