diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 0e3f4e8de1..c71a3d7e9f 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -10097,116 +10097,6 @@ (define-public rust-cargo-0.53
 the library crate of Cargo.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-cargo-0.51
-  (package
-    (inherit rust-cargo-0.53)
-    (name "rust-cargo")
-    (version "0.51.0")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "cargo" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "1dpf04hwcv3i2hc3ppycnq72p1b5wa9gdaaayqradbdyvk5qjzdv"))))
-    (arguments
-     `(;; The test suite is disabled as the internal 'cargo-test-macro' and
-       ;; 'cargo-test-support' crates are not included in the release.
-       #:tests? #false
-       #:cargo-inputs
-       (("rust-anyhow" ,rust-anyhow-1)
-        ("rust-atty" ,rust-atty-0.2)
-        ("rust-bytesize" ,rust-bytesize-1)
-        ("rust-cargo-platform" ,rust-cargo-platform-0.1)
-        ("rust-clap" ,rust-clap-2)
-        ("rust-core-foundation" ,rust-core-foundation-0.9)
-        ("rust-crates-io" ,rust-crates-io-0.31)
-        ("rust-crossbeam-utils" ,rust-crossbeam-utils-0.8)
-        ("rust-crypto-hash" ,rust-crypto-hash-0.3)
-        ("rust-curl" ,rust-curl-0.4)
-        ("rust-curl-sys" ,rust-curl-sys-0.4)
-        ("rust-env-logger" ,rust-env-logger-0.8)
-        ("rust-filetime" ,rust-filetime-0.2)
-        ("rust-flate2" ,rust-flate2-1)
-        ("rust-fwdansi" ,rust-fwdansi-1)
-        ("rust-git2" ,rust-git2-0.13)
-        ("rust-git2-curl" ,rust-git2-curl-0.14)
-        ("rust-glob" ,rust-glob-0.3)
-        ("rust-hex" ,rust-hex-0.4)
-        ("rust-home" ,rust-home-0.5)
-        ("rust-humantime" ,rust-humantime-2)
-        ("rust-ignore" ,rust-ignore-0.4)
-        ("rust-im-rc" ,rust-im-rc-15)
-        ("rust-jobserver" ,rust-jobserver-0.1)
-        ("rust-lazy-static" ,rust-lazy-static-1)
-        ("rust-lazycell" ,rust-lazycell-1)
-        ("rust-libc" ,rust-libc-0.2)
-        ("rust-libgit2-sys" ,rust-libgit2-sys-0.12)
-        ("rust-log" ,rust-log-0.4)
-        ("rust-memchr" ,rust-memchr-2)
-        ("rust-miow" ,rust-miow-0.3)
-        ("rust-num-cpus" ,rust-num-cpus-1)
-        ("rust-opener" ,rust-opener-0.4)
-        ("rust-openssl" ,rust-openssl-0.10)
-        ("rust-percent-encoding" ,rust-percent-encoding-2)
-        ("rust-pretty-env-logger" ,rust-pretty-env-logger-0.4)
-        ("rust-rustc-workspace-hack" ,rust-rustc-workspace-hack-1)
-        ("rust-rustfix" ,rust-rustfix-0.5)
-        ("rust-same-file" ,rust-same-file-1)
-        ("rust-semver" ,rust-semver-0.10)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-serde-ignored" ,rust-serde-ignored-0.1)
-        ("rust-serde-json" ,rust-serde-json-1)
-        ("rust-shell-escape" ,rust-shell-escape-0.1)
-        ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
-        ("rust-tar" ,rust-tar-0.4)
-        ("rust-tempfile" ,rust-tempfile-3)
-        ("rust-termcolor" ,rust-termcolor-1)
-        ("rust-toml" ,rust-toml-0.5)
-        ("rust-unicode-width" ,rust-unicode-width-0.1)
-        ("rust-unicode-xid" ,rust-unicode-xid-0.2)
-        ("rust-url" ,rust-url-2)
-        ("rust-walkdir" ,rust-walkdir-2)
-        ("rust-winapi" ,rust-winapi-0.3))))))
-
-(define-public rust-cargo-audit-0.16
-  (package
-    (name "rust-cargo-audit")
-    (version "0.16.0")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "cargo-audit" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "1ixlfc8h7qgyr1ng37kx1f222g3pc97sm72pgj1mkl6q3daf5a7m"))))
-    (build-system cargo-build-system)
-    (arguments
-     ;; disable due to network connection
-     ;; https://github.com/rustsec/rustsec/issues/507
-     `(#:tests? #f
-       #:cargo-inputs
-       (("rust-abscissa-core" ,rust-abscissa-core-0.5)
-        ("rust-gumdrop" ,rust-gumdrop-0.7)
-        ("rust-home" ,rust-home-0.5)
-        ("rust-lazy-static" ,rust-lazy-static-1)
-        ("rust-rustsec" ,rust-rustsec-0.25)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-serde-json" ,rust-serde-json-1)
-        ("rust-thiserror" ,rust-thiserror-1))
-       #:cargo-development-inputs
-       (("rust-abscissa-core" ,rust-abscissa-core-0.5)
-        ("rust-once-cell" ,rust-once-cell-1)
-        ("rust-tempfile" ,rust-tempfile-3)
-        ("rust-toml" ,rust-toml-0.5))))
-    (native-inputs (list pkg-config))
-    (inputs (list libssh2 openssl zlib))
-    (home-page "https://rustsec.org")
-    (synopsis "Audit @file{Cargo.lock} for crates with security vulnerabilities")
-    (description "This package audits @file{Cargo.lock} for crates with
-security vulnerabilities.")
-    (license (list license:asl2.0 license:expat))))
-
 (define-public rust-cargo-edit-0.8
   (package
     (name "rust-cargo-edit")