diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f17a253336..9eadd6b96b 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -69218,14 +69218,14 @@ (define-public rust-windows-0.32
 (define-public rust-windows-aarch64-gnullvm-0.42
   (package
     (name "rust-windows-aarch64-gnullvm")
-    (version "0.42.0")
+    (version "0.42.1")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows-aarch64-gnullvm" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "17m1p753qk02r25afg31dxym4rpy7kpr0z8nwl5f1jzhyrqsmlj1"))))
+                "0256d14kqpiniwcm6y2yfj7jbzdvvj4l6i65r5zyrza36bl6964c"))))
     (build-system cargo-build-system)
     (arguments
      (list #:skip-build? #t))
@@ -69238,14 +69238,14 @@ (define-public rust-windows-aarch64-gnullvm-0.42
 (define-public rust-windows-aarch64-msvc-0.42
   (package
     (name "rust-windows-aarch64-msvc")
-    (version "0.42.0")
+    (version "0.42.1")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows-aarch64-msvc" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "1d6d9ny0yl5l9vvagydigvkfcphzk2aygchiccywijimb8pja3yx"))))
+                "1iy6adiaz2956f0kcl2wfdjx49ayv2lp11glkxxc85pw7xkip2sc"))))
     (build-system cargo-build-system)
     (arguments
      (list #:skip-build? #t))
@@ -69297,14 +69297,14 @@ (define-public rust-windows-aarch64-msvc-0.28
 (define-public rust-windows-i686-gnu-0.42
   (package
     (name "rust-windows-i686-gnu")
-    (version "0.42.0")
+    (version "0.42.1")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows_i686_gnu" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "1rsxdjp50nk38zfd1dxj12i2qmhpvxsm6scdq8v1d10ncygy3spv"))))
+                "0h6n8mqjfq1rk4vpr9gz8md1b8f7bqksiymivdxvlc6mi998ff6y"))))
     (build-system cargo-build-system)
     (arguments
      (list #:skip-build? #t))
@@ -69356,14 +69356,14 @@ (define-public rust-windows-i686-gnu-0.28
 (define-public rust-windows-i686-msvc-0.42
   (package
     (name "rust-windows-i686-msvc")
-    (version "0.42.0")
+    (version "0.42.1")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows_i686_msvc" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "0ii2hrsdif2ms79dfiyfzm1n579jzj42ji3fpsxd57d3v9jjzhc4"))))
+                "01966w2707qrw183lqg62i1as614i88m5a0s6pzxdpby64i12kdz"))))
     (build-system cargo-build-system)
     (arguments
      (list #:skip-build? #t))
@@ -69546,6 +69546,33 @@ (define-public rust-windows-macros-0.9
     (description "Macros for the windows crate")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-windows-targets-0.42
+  (package
+    (name "rust-windows-targets")
+    (version "0.42.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "windows-targets" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1rwh2d1yvfjvlfidi8p9ha4lp34lb0lynynlhk65ikdz3x4j49cf"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-windows-aarch64-gnullvm" ,rust-windows-aarch64-gnullvm-0.42)
+        ("rust-windows-aarch64-msvc" ,rust-windows-aarch64-msvc-0.42)
+        ("rust-windows-i686-gnu" ,rust-windows-i686-gnu-0.42)
+        ("rust-windows-i686-msvc" ,rust-windows-i686-msvc-0.42)
+        ("rust-windows-x86-64-gnu" ,rust-windows-x86-64-gnu-0.42)
+        ("rust-windows-x86-64-gnullvm" ,rust-windows-x86-64-gnullvm-0.42)
+        ("rust-windows-x86-64-msvc" ,rust-windows-x86-64-msvc-0.42))))
+    (home-page "https://github.com/microsoft/windows-rs")
+    (synopsis "Code gen support for the windows crate")
+    (description "This package provides code gen support for the windows
+crate.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-windows-tokens-0.32
   (package
     (name "rust-windows-tokens")
@@ -69569,14 +69596,14 @@ (define-public rust-windows-tokens-0.32
 (define-public rust-windows-x86-64-gnu-0.42
   (package
     (name "rust-windows-x86-64-gnu")
-    (version "0.42.0")
+    (version "0.42.1")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows_x86_64_gnu" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "1vdh8k5a4m6pfkc5gladqznyqxgapkjm0qb8iwqvqb1nnlhinyxz"))))
+                "0icwd66wd6p9hhzds93333wy2knlqbyiynf2rfy7xqc528i0y161"))))
     (build-system cargo-build-system)
     (arguments
      (list #:skip-build? #t))
@@ -69628,14 +69655,14 @@ (define-public rust-windows-x86-64-gnu-0.28
 (define-public rust-windows-x86-64-gnullvm-0.42
   (package
     (name "rust-windows-x86-64-gnullvm")
-    (version "0.42.0")
+    (version "0.42.1")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows-x86-64-gnullvm" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "0a10rns9b07m9snlr97iqxq42zi9ai547gb5fqlv7vihpb92bm89"))))
+                "0qq41m3zkakkmch9x4x30lgv0sy3zh4jpdpxch6jp8ns6brgv2v2"))))
     (build-system cargo-build-system)
     (arguments (list #:skip-build? #t))
     (home-page "https://github.com/microsoft/windows-rs")
@@ -69647,14 +69674,14 @@ (define-public rust-windows-x86-64-gnullvm-0.42
 (define-public rust-windows-x86-64-msvc-0.42
   (package
     (name "rust-windows-x86-64-msvc")
-    (version "0.42.0")
+    (version "0.42.1")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "windows_x86_64_msvc" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
                (base32
-                "1xdnvhg8yj4fgjy0vkrahq5cbgfpcd7ak2bdv8s5lwjrazc0j07l"))))
+                "1zfgzsmc0j5p9yx25j15lb1yh45mazl4hhjdvfqqhcm16snn0xj4"))))
     (build-system cargo-build-system)
     (arguments (list #:skip-build? #t))
     (home-page "https://github.com/microsoft/windows-rs")