diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index f4f1d04fe2..527ced031c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -35367,39 +35367,67 @@ (define-public rust-libmimalloc-sys-0.1
 allocator.")
     (license license:expat)))
 
-(define-public rust-libmdns-0.6
+(define-public rust-libmdns-0.7
   (package
     (name "rust-libmdns")
-    (version "0.6.3")
+    (version "0.7.5")
     (source (origin
               (method url-fetch)
               (uri (crate-uri "libmdns" version))
               (file-name (string-append name "-" version ".tar.gz"))
               (sha256
-               (base32 "0n1ymkv5246c5yj2m70ql07z38hrz6b2l16lg3wpb98vz7mbqd59"))))
+               (base32
+                "0470r44w3wkwg785wv1j9x8i65qa6v0ygrzh4vg9mcdkarmsw10b"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs
-       (("rust-byteorder" ,rust-byteorder-1)
-        ("rust-futures-util" ,rust-futures-util-0.3)
-        ("rust-hostname" ,rust-hostname-0.3)
-        ("rust-if-addrs" ,rust-if-addrs-0.6)
-        ("rust-log" ,rust-log-0.4)
-        ("rust-multimap" ,rust-multimap-0.8)
-        ("rust-rand" ,rust-rand-0.8)
-        ("rust-socket2" ,rust-socket2-0.4)
-        ("rust-thiserror" ,rust-thiserror-1)
-        ("rust-tokio" ,rust-tokio-1))
-       #:cargo-development-inputs
-       (("rust-env-logger" ,rust-env-logger-0.8))))
+     (list #:cargo-inputs `(("rust-byteorder" ,rust-byteorder-1)
+                            ("rust-futures-util" ,rust-futures-util-0.3)
+                            ("rust-hostname" ,rust-hostname-0.3)
+                            ("rust-if-addrs" ,rust-if-addrs-0.7)
+                            ("rust-log" ,rust-log-0.4)
+                            ("rust-multimap" ,rust-multimap-0.8)
+                            ("rust-nix" ,rust-nix-0.23)
+                            ("rust-rand" ,rust-rand-0.8)
+                            ("rust-socket2" ,rust-socket2-0.4)
+                            ("rust-thiserror" ,rust-thiserror-1)
+                            ("rust-tokio" ,rust-tokio-1)
+                            ("rust-winapi" ,rust-winapi-0.3))
+           #:cargo-development-inputs `(("rust-env-logger" ,rust-env-logger-0.8))))
     (home-page "https://github.com/librespot-org/libmdns")
-    (synopsis "DNS-SD and mDNS library for building discoverable LAN services")
-    (description "A Multi-Cast DNS (RFC 6762) and DNS Service Discovery
-(RFC 6763) library.  Used for resolution of hostnames to IP addresses on
-networks that do not have a local name server.  Network services can be
-advertised and discovered using this mechanism.")
+    (synopsis
+     "DNS-SD and mDNS library for building discoverable LAN services")
+    (description
+     "A Multi-Cast DNS (RFC 6762) and DNS Service Discovery (RFS 6763)
+library.  Used for resolution of hostnames to IP addresses on networks that
+do not have a local name server.  Network services can be advertised and
+discovered using this mechanism.")
     (license license:expat)))
 
+(define-public rust-libmdns-0.6
+  (package
+    (inherit rust-libmdns-0.7)
+    (name "rust-libmdns")
+    (version "0.6.3")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "libmdns" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "0n1ymkv5246c5yj2m70ql07z38hrz6b2l16lg3wpb98vz7mbqd59"))))
+    (arguments
+     (list #:cargo-inputs `(("rust-byteorder" ,rust-byteorder-1)
+                            ("rust-futures-util" ,rust-futures-util-0.3)
+                            ("rust-hostname" ,rust-hostname-0.3)
+                            ("rust-if-addrs" ,rust-if-addrs-0.6)
+                            ("rust-log" ,rust-log-0.4)
+                            ("rust-multimap" ,rust-multimap-0.8)
+                            ("rust-rand" ,rust-rand-0.8)
+                            ("rust-socket2" ,rust-socket2-0.4)
+                            ("rust-thiserror" ,rust-thiserror-1)
+                            ("rust-tokio" ,rust-tokio-1))
+           #:cargo-development-inputs `(("rust-env-logger" ,rust-env-logger-0.8))))))
+
 (define-public rust-libnghttp2-sys-0.1
   (package
     (name "rust-libnghttp2-sys")